Album: Contritum
Artists:
- nights
Date: July 17, 2018
Date Added: January 12, 2021
URLs:
- https://nightslights.bandcamp.com/track/contritum
Cover Art File Extension: png
Cover Artists:
- nights
Color: '#f30d00'
Groups:
- Oceanfalls
- Beyond
Art Tags:
- Suvillan (Oceanfalls)
- Kotori (Oceanfalls)
- Solis (Oceanfalls)
- Corona (Oceanfalls)
- Nino (Oceanfalls)
- Aria (Oceanfalls)
---
Track: Contritum
Duration: '3:14'
URLs:
- https://nightslights.bandcamp.com/track/contritum
